Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170605 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170605

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
PackageKit
acl
apache2
grub2
libgcrypt (1.7.6 -> 1.7.7)
llvm4
nano (2.8.2 -> 2.8.4)
quilt
shotwell (0.26.0 -> 0.26.2)
xf86-video-sis
yast2-kdump (3.2.3 -> 3.2.4)
yast2-pkg-bindings (3.2.2 -> 3.2.3)
zlib

=== Details ===

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module libpackagekit-glib2-18 typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-avoid-stack-smashing-on-i586.patch: Fix PackageKit
stack smashing when running "pkcon get-updates" on 32-bit system
(fdo#101267, bsc#1020028).

==== acl ====
Subpackages: libacl1 libacl1-32bit

- BuildRequires gettext-tools-mini instead of gettext-tools: as
acl is part of the bootstrap, we want to try to keep the dep
chain as small as possible.

==== apache2 ====
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- server-tunning.conf: MaxClients was renamed to MaxRequestWorkers
[bsc#1037731]
- gensslcert: use hostname when fqdn is too long [bsc#1035829]
- remove apache-doc and apache-example-pages obsoletes/provides

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Support LVM physical volume created without metadatacopies (bsc#1027526)
* grub2-diskfilter-support-pv-without-metadatacopies.patch
- Fix page fault exception when grub loads with Nvidia cards (bsc#1038533)
* grub2-efi-uga-64bit-fb.patch
- Require 'kexec-tools' for System z. (bsc#944358)
* modified grub2.spec

==== libgcrypt ====
Version update (1.7.6 -> 1.7.7)
Subpackages: libgcrypt-devel libgcrypt20 libgcrypt20-32bit

- libgcrypt 1.7.7:
* Fix possible timing attack on EdDSA session key (previously
patched, drop libgcrypt-secure-EdDSA-session-key.patch)
* Fix long standing bug in secure memory implementation which
could lead to a segv on free
- Added libgcrypt-secure-EdDSA-session-key.patch [bsc#1042326]
* Store the session key in secure memory to ensure that constant
time point operations are used in the MPI library.

==== llvm4 ====

- Use gcc6 only for SLE boo#1041469

==== nano ====
Version update (2.8.2 -> 2.8.4)
Subpackages: nano-lang

- update to 2.8.4:
* include the nanorc man page again.
- includes changes from 2.8.3:
* fix a misplacement of the spotlight during interactive replacing
* speed up backwards searching
* improve PHP syntax highlighting
* no longer ask ?save anyway?? when the user ^Q discards the buffer

==== quilt ====

- Add missing bug number in changes file (bsc#1041323).

==== shotwell ====
Version update (0.26.0 -> 0.26.2)
Subpackages: shotwell-lang

- Update to version 0.26.2:
+ Fix issue when minimizing publishing UI on Unity.
+ Fix browsing on GVFS-mounted file systems.
+ Fix missing linebreaks in comments when writing back meta-data.
+ Fix crash when no import plugin is selected.
+ Updated translations.
+ Bugs fixed: bgo#719240, bgo#733652, bgo#781897, bgo#783250.
- Changes from version 0.26.1:
+ Fix "About" wording.
+ Fix missing Keyboard shortcuts.
+ Viewer: Fix context menu.
+ Bugs fixed: bgo#780415, bgo#780811.
+ Updated translations.
- Drop shotwell-fix-crash-without-importer.patch: fixed upstream.
- Add shotwell-fix-crash-without-importer.patch: Fix crash when no
import plugin is enabled (bgo#78350, boo#1040047).

==== xf86-video-sis ====

- includes everything needed for missing sle issue entries:
fate #315643-315645, 319159-319161, 319618 (bsc#1041339)

==== yast2-kdump ====
Version update (3.2.3 -> 3.2.4)

- Added allocate memory high in commandline (FATE#320016)
- 3.2.4

==== yast2-pkg-bindings ====
Version update (3.2.2 -> 3.2.3)

- Fix pkgGpgCheck callback crashing when reporting SrcPackages
(bsc#1037210) (by mlandres)
- 3.2.3

==== zlib ====
Subpackages: libz1 libz1-32bit zlib-devel

- Add gpg signature
- Re-enable profiling


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages